From: Michael Ritchie
A question about the modeling of SVPI.Prs. It's shown in the web access data model as CDC ACD, with the description
“Directionality is not used here.”. | would have expected CDC ACT if this will never be directional.

The web access data model does match 61850-90-6 Ed1 Table 42:
However in the same document Table 13 refers to SVPI.Prs as CDC ACT, which is inconsistent but what | would have expected.

Which reference is correct? If it is supposed to be ACD, why?

Is it because Prs DO is used in a different LN where it is required to be directional / ACD? This seems like another reason against the
rule that “DOs with the same name will always have the same CDC”.

Proposal descriptions
Summary: IEC 61850-90-6 Table 13 to be corrected

From: Laurent Guise

My interpretation is that the 90-6 model and its autogenerated part in the published document and web-access are aligned on ACD
and this is the reference.

The indication of ACT in Table 13 should be considered as an error since this table was produced manually.

Yes the reason of using ACD with no-use of directionality comes effectively, if | remember well) from the application of the rule that
within a given namespace a same DO can’t have different CDCs. Directionality may make sense for current presence.

From: Tom BERRY
Subject: RE: IEC 61850-90-6 SVPI.Prs

Prs was originally proposed as an ACT as it is not just a boolean status, but may have an indication per phase.
Later on, it was recognized that current presence could have a directional element, so the Prs data object became ACD.

So applying the model consistency rules, the data object is ACD in both SCPI and SVPI but the descriptions of Prs are different.

Note that the same sort of logic is used in part 7-4 for the data object Str of type ACD
Both current and voltage protection functions have this data object but the direction bits are only relevant to PTUC,PTOC

History

#1 - 10/19/2022 08:45 AM - Tom Berry

- Status changed from New to In Progress

#2 - 10/19/2022 08:47 AM - Tom Berry
- Source set to email
- WG10 Proposal set to n/a

- Short Proposal set to Clarify text in document

#3 - 11/08/2022 02:45 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#4 - 11/08/2022 08:36 AM - Carlos Rodriguez del Castillo

- Needs More Information set to Yes

#5 - 04/11/2023 08:55 AM - Carlos Rodriguez del Castillo
- Status changed from In Progress to Resolved
- Discuss in Upcoming Meeting changed from Yes to No

- Needs More Information changed from Yes to No

In SCPI (Presence Indication of Current) - Directionality is used in Prs (ACD)

In SVPI (Presence Indication of Voltage) - Directionality is not used in Prs (ACT)
There has to be only one CDC associtated to Prs, so it has to be ACD CDC.
For SVPI, directionality shall be always set to "Unknown".

Proposal: Prs.dirNeut/dirPhsA/dirPhsB/dirPhsC/dirGeneral: Change "Directionality is not used here" to "Directionality shall be set to unknown(0)"

#6 - 05/09/2023 09:30 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#7 - 05/23/2023 08:49 AM - Carlos Rodriguez del Castillo
Get updated info from WG17

#8 - 06/05/2023 01:58 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No
